summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-03-02 12:41:23 +0100
committerPatrick Lauer <patrick@gentoo.org>2016-03-02 12:43:32 +0100
commitb0247be3924c4ab86f5ad97bcf403236c5d82dab (patch)
tree414a839cd383112d5f86648526c5f10960e85af2
parentdev-python/warlock: Bump (diff)
downloadgentoo-b0247be3924c4ab86f5ad97bcf403236c5d82dab.tar.gz
gentoo-b0247be3924c4ab86f5ad97bcf403236c5d82dab.tar.bz2
gentoo-b0247be3924c4ab86f5ad97bcf403236c5d82dab.zip
dev-python/odfpy: Bump
Package-Manager: portage-2.2.27
-rw-r--r--dev-python/odfpy/Manifest1
-rw-r--r--dev-python/odfpy/odfpy-1.3.2.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/odfpy/Manifest b/dev-python/odfpy/Manifest
index a4c901be8c9..6a96130591e 100644
--- a/dev-python/odfpy/Manifest
+++ b/dev-python/odfpy/Manifest
@@ -1,2 +1,3 @@
DIST odfpy-0.9.6.tar.gz 452061 SHA256 907f62853858913bc3d5b00e4be4f4e5d56ab3f0d51125a54e949824b560f0bf SHA512 6e49e956426695984d634c2409129741b84d093886fe8012dc17196e20abff77bb486c986e497b0f35642ad0de60a8bbf3cf07352d85ea509cab7da9f3fa470b WHIRLPOOL 11625e99a500eb9e6c13b1c1cb19486689accbb2f8dc6f93a858496ba5f60a1513a89302bce24c1603ef0d46a17bca1126a40c4532f9fafb2cab3b0263c1acd8
DIST odfpy-1.3.1.tar.gz 469339 SHA256 0292500fbe716fd261bfef71ddf231fd9bc913d2b0a1ced91a2488bdf3c9fcea SHA512 a730e3763069d91ec5f613e6222efbb46cbc32c6ddf962f574b86f6dbaa728491ec3f1ca6707f5d5227bb5968cd6f75a66f40576372ea72b794886f219c46ab1 WHIRLPOOL 843f311e50a9a4575f2d929baee65610e723a90b9af09ea1c52f22770a87fa3e8f71c35c94d248fc2372b9a0128a802f1ae54dba6638f411c9ff0a3de83b1cef
+DIST odfpy-1.3.2.tar.gz 479554 SHA256 5a7431ee60dc5fe6be106f3be7bc71e9e6e5eed7ea38a69918e590775c75e5d5 SHA512 c5be79c4077f40a56821790d4b6062e3715f8b616b1e9ead79977ad00ecf3f506ebbe73790f215bb835a233833fa471af7f619cfcd88320cf8238e4c9502e248 WHIRLPOOL 10fd109c6a61aa4061e264025583952a55fddf93f558ba4b41d30abf22bff8af790855d3f9c193b8b93dbfbd028add7924ea943ac01a0d2997381947e98228a0
diff --git a/dev-python/odfpy/odfpy-1.3.2.ebuild b/dev-python/odfpy/odfpy-1.3.2.ebuild
new file mode 100644
index 00000000000..3e7a0e3a782
--- /dev/null
+++ b/dev-python/odfpy/odfpy-1.3.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+# Classifier: Programming Language :: Python :: 2 :: Only
+# py3 fails one test, pypy anpother.
+# Notes on page of home repo reports support of python3.
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API and tools to manipulate OpenDocument files"
+HOMEPAGE="https://joinup.ec.europa.eu/software/odfpy/home https://pypi.python.org/pypi/odfpy"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+# Tarball missing required folder to build docs in html.
+
+python_test() {
+ # Known single fail under python3 suspected to be caused in python3 itself
+ # https://github.com/eea/odfpy/issues/21
+
+ local exit_status=0 test
+ for test in tests/test*.py; do
+ einfo "Running ${test} ..."
+ "${PYTHON}" ${test}
+ [[ $? -ne 0 ]] && exit_status=1
+ done
+ return ${exit_status}
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( examples/. )
+ distutils-r1_python_install_all
+}